/**************************************************************
-PWM signaal op pin C2 - CCP1
-PIC16F887 draait op extern Xtal van 19.660.800 Hz
-Led op PIN C2
*************************************************************/

#include <htc.h>
#define _XTAL_FREQ  19660800  

__CONFIG(0x23F2);   	//extern Xtal HS 19660800
__CONFIG(0x3FFF);	//


void main()
{
unsigned char Duty_Cycle = 0;  // variabele voor Duty Cycle
TRISC = 0x00;
CCP1CON = 0b00001100;	//CCP1 in PWM mode zetten
T2CON = 0b00000100;  // Timer2 aan - prescaler op 1 = hoogste frequentie via TMR2
PR2 = 255;  // periode register op maximum = lage PWM freq

TRISD = 0x00; 		// leds aan PORTC - Output
PORTD = 0x00;		// alle leds uit

TRISE = 0b00000001; // PINE0 = input
ANSEL = 0b00100000;  // AN5 = AD input - alle andere normal IO
ADCON0 = 0b00010101; //Fosc/2-AN5-ADON (Go/DONE blijft 0)
ADCON1 = 0b00000000; //Meting tussen VDD en VSS- Left justified

	while (1)
	{
	
	ADCON0 = ADCON0 | 0b00000010;  // GO/DONE = 1 met masker
	while (ADCON0 & 0b00000010) // zolang AD omzetting bezig is
		{
		}
	PORTD = ADRESH; //toon 8 bit resultaat van AD omzetting op leds
	CCPR1L = ADRESH;   // copieer inhoud van var Duty_Cycle naar CCPR1L buffer register
	}
}

